MessageModel (gCube Messages Portlet 0.4.0-3.1.0 API)
Date: 2014-05-11

org.gcube.portlets.user.messages.shared

## Class MessageModel

- java.lang.Object
- - com.extjs.gxt.ui.client.data.BaseModelData
  - - org.gcube.portlets.user.messages.shared.MessageModel

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.data.ModelData, Serializable

      public class MessageModel
      extends com.extjs.gxt.ui.client.data.BaseModelData
      implements Serializable

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected InfoContactModel` | `contact`
    `protected FileModel` | `fileModel`

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `allowNestedValues, map`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageModel()`
    `MessageModel(String id, String subject, InfoContactModel sender, Date date, int numAttachs, boolean isRead, String messageType)` BASIC CONSTRUCTOR
    `MessageModel(String id, String subject, InfoContactModel sender, Date date, List<String> attachsNames, String messageType, boolean isRead)` USED TO VIEW MESSAGE IN GRID
    `MessageModel(String id, String subject, InfoContactModel sender, Date date, String text, List<FileModel> attachs, List<String> listContactsToString, String messageType, boolean isRead)` USED IN OPEN MESSAGE

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAttachmentsNamesView()` used in grid
    `Date` | `getDate()`
    `InfoContactModel` | `getFromContact()`
    `String` | `getFromLogin()`
    `String` | `getFullName()`
    `String` | `getId()`
    `String` | `getIsRead()`
    `List<FileModel>` | `getListAttachments()`
    `List<InfoContactModel>` | `getListContactsTo()`
    `List<String>` | `getListContactsToString()`
    `String` | `getMessageType()`
    `int` | `getNumAttchments()`
    `String` | `getSubject()`
    `String` | `getTextMessage()`
    `void` | `setId(String id)`
    `void` | `setListContactsTo(List<InfoContactModel> listContactsTo)`
    `String` | `toString()`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `get, get, getProperties, getPropertyNames, isAllowNestedValues, remove, set, setAllowNestedValues, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### contact

          protected InfoContactModel contact

    - #### fileModel

          protected FileModel fileModel

  - ### Constructor Detail

    - #### MessageModel

          public MessageModel()

    - #### MessageModel

          public MessageModel(String id,
                      String subject,
                      InfoContactModel sender,
                      Date date,
                      String text,
                      List<FileModel> attachs,
                      List<String> listContactsToString,
                      String messageType,
                      boolean isRead)

      USED IN OPEN MESSAGE
      Parameters:
        `id` -
        `subject` -
        `sender` -
        `date` -
        `text` -
        `attachs` -
        `listContactsToString` -
        `messageType` -
        `isRead` -

    - #### MessageModel

          public MessageModel(String id,
                      String subject,
                      InfoContactModel sender,
                      Date date,
                      int numAttachs,
                      boolean isRead,
                      String messageType)

      BASIC CONSTRUCTOR

    - #### MessageModel

          public MessageModel(String id,
                      String subject,
                      InfoContactModel sender,
                      Date date,
                      List<String> attachsNames,
                      String messageType,
                      boolean isRead)

      USED TO VIEW MESSAGE IN GRID
      Parameters:
        `id` -
        `subject` -
        `sender` -
        `date` -
        `attachsNames` -
        `messageType` -
        `isRead` -

  - ### Method Detail

    - #### getFullName

          public String getFullName()

    - #### getIsRead

          public String getIsRead()

    - #### setListContactsTo

          public void setListContactsTo(List<InfoContactModel> listContactsTo)

    - #### setId

          public void setId(String id)

    - #### getId

          public String getId()

    - #### getSubject

          public String getSubject()

    - #### getDate

          public Date getDate()

    - #### getNumAttchments

          public int getNumAttchments()

    - #### getFromContact

          public InfoContactModel getFromContact()

    - #### getFromLogin

          public String getFromLogin()

    - #### getTextMessage

          public String getTextMessage()

    - #### getAttachmentsNamesView

          public String getAttachmentsNamesView()

      used in grid
      Returns:

    - #### getListContactsTo

          public List<InfoContactModel> getListContactsTo()

    - #### getListContactsToString

          public List<String> getListContactsToString()

    - #### getListAttachments

          public List<FileModel> getListAttachments()

    - #### getMessageType

          public String getMessageType()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.